Package twisted :: Package lore :: Module tree

[frames | no frames]

## Module twisted.lore.tree

Function Summary
| `_getAPI(node)`
| `_replaceWithListing(node, val, filename, class_)`
| `addHTMLListings(document, dir)`
| `addMtime(document, fullpath)`
| `addPlainListings(document, dir)`
| `addPyListings(document, dir)`
| `compareMarkPos(a, b)`
| `comparePosition(a, b)`
| `doFile(filename, linkrel, ext, url, templ, options, outfileGenerator)`
| `findNodeJustBefore(target, nodes)`
| `fixAPI(document, url)`
| `fixLinks(document, ext)`
| `fixRelativeLinks(document, linkrel)`
| `fontifyPython(document)`
| `fontifyPythonNode(node)`
| `footnotes(document)`
| `generateToC(document)`
| ``getFirstAncestorWithSectionHeader`(entry)` Go up ancestors until one with at least one <h2> is found, then return the <h2> nodes
| `getHeaders(document)`
| `getOutputFileName(originalFileName, outputExtension, index)`
| `getSectionNumber(header)`
| `getSectionReference(entry)`
| `index(document, filename, chapterReference)`
| `makeSureDirectoryExists(filename)`
| `munge(document, template, linkrel, dir, fullpath, ext, url, config, outfileGenerator)`
| `notes(document)`
| `numberDocument(document, chapterNumber)`
| `parseFileAndReport(filename)`
| `putInToC(document, toc)`
| `removeH1(document)`
| `setAuthors(template, authors)`
| `setIndexLink(template, indexFilename)`
| `setTitle(template, title, chapterNumber)`
| `setVersion(template, version)`

Function Details

### getFirstAncestorWithSectionHeader(entry)

Go up ancestors until one with at least one <h2> is found, then return the <h2> nodes

Generated by Epydoc 2.0 on Sat May 15 20:08:05 2004 | http://epydoc.sf.net